/*
snd.c plays snd files
sampled at 11kHz
*/

#include <stdio.h>

char buf[64500]; /* RAM buffer for snd */


char main(argc, argv) 
   int argc;
   char *argv[];
 {
   char ch,tst;
   unsigned i,j,k;
   FILE *ip;

    if((ip=fopen(argv[1],"rb")) == NULL)
     {
     puts("Can't open input file\n");
     puts(" Please specify full file name\n");
     exit(1); /* abort */
     } 
  
    i=read(ip,buf,64500); 
    /* read full buffer maximum */
	 fclose(ip);
	
/*	printf("%u bytes read.\n",i); */

    _outb(0,0xe302); 
     /* disable interrupts */

    _outb(127,0xe305); 
     /* set output to relative zero */

	j=_inb(0xe309);
	j=j|0x02; 
     /* bit 1 is a2d power */
	_outb(j,0xe309);
	  
	for(k=0;k<i;k++)
     /* loop thru buffer */
	  {
	  _outb(buf[k],0xe305);
       /* send data out */
      i++;
      i--;
      i++;
      i--;
       /* delay for 11kHz sounds */
	  }
	
	_outb((j&0xfd),0xe309);
     /* turn off a2d circuit */

    _outb(0x7f,0xe302);
     /* re-enable interrupts */
   exit(0);
  }
